<?php

namespace App\domain\travelport;

use Exception;
use GuzzleHttp\Exception\GuzzleException;
use Illuminate\Support\Facades\Log;

class CommitReservation extends Workbench
{
    protected string $reservationId;
    public function execute(string $reservationId)
    {
        $this->reservationId = $reservationId;

        $apiUrl = $this->buildApiUrl();

        try {
            $response = $this->client->post($apiUrl, [
                'headers' => $this->getHeaders()
            ]);

            return json_decode($response->getBody(), true);
        } catch (Exception $e) {
            Log::error($e->getMessage());
            echo 'Traveler Error: ' . $e->getMessage();
            return null;
        } catch (GuzzleException $e) {
            Log::error($e->getMessage());
            echo 'Error: ' . $e->getMessage();
            return null;
        }
    }

    protected function buildApiUrl(): string
    {
        return "https://{$this->baseURL}/{$this->apiVersion}/air/book/reservation/reservations/{$this->reservationId}";
    }

    protected function createPayload(): array
    {
        return  [
            "ReservationQueryCommitReservation" => [
                "@type" => "ReservationQueryCommitReservation",
                "scheduleChangeAcceptedInd" => true
            ]
        ];
    }
}
