<?php

namespace App\domain\travelport;

use App\domain\travelport\SearchOfferAPI;
use Exception;
use GuzzleHttp\Exception\GuzzleException;

abstract class Workbench extends SearchOfferAPI
{
    protected function travelportPost(): mixed
    {
        $apiUrl = $this->buildApiUrl();
        $payload = $this->createPayload();

        try {
            $response = $this->client->post($apiUrl, [
                'headers' => $this->getHeaders(),
                'json' => $payload,
            ]);

            return json_decode($response->getBody(), true);
        } catch (Exception $e) {
            echo 'Workbench Error: ' . $e->getMessage();
            return null;
        } catch (GuzzleException $e) {
            echo 'Error: ' . $e->getMessage();
            return null;
        }
    }


    abstract protected function buildApiUrl(): string;

    abstract protected function createPayload(): array;
}
