<?php

use App\Http\Controllers\BookingWorkbenchController;
use App\Http\Controllers\FlightOfferPricingController;
use App\Http\Controllers\FlightOfferSearchController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('/search_flight_offers', [FlightOfferSearchController::class, 'index']);
Route::post('/flight_offers_pricing', [FlightOfferPricingController::class, 'index']);
Route::get('/workbench/create_reservation', [BookingWorkbenchController::class, 'createWorkbench']);
Route::post('/workbench/add_offer', [BookingWorkbenchController::class, 'addOffer']);
Route::post('/workbench/add_traveler', [BookingWorkbenchController::class, 'addTraveler']);
Route::post('/workbench/commit', [BookingWorkbenchController::class, 'commitReservation']);

